# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

- org.apache.lucene.analysis.cn.smart.CharType
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DELIMITER`
  `0`
  `public static final int`
  `DIGIT`
  `2`
  `public static final int`
  `FULLWIDTH_DIGIT`
  `6`
  `public static final int`
  `FULLWIDTH_LETTER`
  `5`
  `public static final int`
  `HANZI`
  `3`
  `public static final int`
  `LETTER`
  `1`
  `public static final int`
  `OTHER`
  `7`
  `public static final int`
  `SPACE_LIKE`
  `4`
  `public static final int`
  `SURROGATE`
  `8`
- org.apache.lucene.analysis.cn.smart.HMMChineseTokenizerFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"hmmChinese"`
- org.apache.lucene.analysis.cn.smart.Utility
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MAX_FREQUENCE`
  `2159997`
  `public static final String`
  `SPACES`
  `" \u3000\t\r\n"`
- org.apache.lucene.analysis.cn.smart.WordType
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CHINESE_WORD`
  `2`
  `public static final int`
  `DELIMITER`
  `5`
  `public static final int`
  `FULLWIDTH_NUMBER`
  `7`
  `public static final int`
  `FULLWIDTH_STRING`
  `6`
  `public static final int`
  `NUMBER`
  `4`
  `public static final int`
  `SENTENCE_BEGIN`
  `0`
  `public static final int`
  `SENTENCE_END`
  `1`
  `public static final int`
  `STRING`
  `3`